Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class NavigationEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.jbo.JboEvent
                  |
                  +--oracle.jbo.NavigationEvent

public class NavigationEvent
extends JboEvent

An event generated by `RowSet` to inform its listeners when the iterator position in a View Object changes.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`NavigationEvent(RowSetIterator source, Row previousRow, Row currentRow)` Creates a navagation event when a new row becomes current.

Method Summary
`Row` | `getPreviousRow()` Identifies the row that was previously the current row.
`int` | `getPreviousRowIndex()` Identifies the row that was previously the current row.
`Row` | `getRow()` Identifies the row that is to become the current row.
`int` | `getRowIndex()` Gets the index of the row that is to become the current row.
`java.lang.String` | `toString()` Internal: For debugging only.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NavigationEvent

    public NavigationEvent(RowSetIterator source,
                           Row previousRow,
                           Row currentRow)

  Creates a navagation event when a new row becomes current.

  Parameters:
    `source` - an accessor to a set of rows.
    `previousRow` - the row that was the current row.
    `currentRow` - the row that is to become the current row.

Method Detail

### getRow

    public final Row getRow()

  Identifies the row that is to become the current row.
  Returns:
    the new row.

### getRowIndex

    public final int getRowIndex()

  Gets the index of the row that is to become the current row.
  Returns:
    the index relative to the begining of the view.

### getPreviousRow

    public final Row getPreviousRow()

  Identifies the row that was previously the current row.
  Returns:
    the previous row.

### getPreviousRowIndex

    public final int getPreviousRowIndex()

  Identifies the row that was previously the current row.
  Returns:
    the index relative to the begining of the view. If no row was previously current, `-1` is returned.

### toString

    public java.lang.String toString()

  Internal: For debugging only.
  Overrides:
    toString in class java.util.EventObject
  Returns:
    a diagnostic string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD